commit:     aa8e06c74de46bcaad4130ed4983e47bf4c4d72a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 19 03:59:15 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 19 04:30:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa8e06c7

dev-games/mercator: port to EAPI 7, ltprune--

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-games/mercator/mercator-0.3.3.ebuild | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

diff --git a/dev-games/mercator/mercator-0.3.3.ebuild 
b/dev-games/mercator/mercator-0.3.3.ebuild
index 34cbfc3fe78..3a4046872ac 100644
--- a/dev-games/mercator/mercator-0.3.3.ebuild
+++ b/dev-games/mercator/mercator-0.3.3.ebuild
@@ -1,22 +1,23 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit ltprune
+EAPI=7
 
 DESCRIPTION="WorldForge library primarily aimed at terrain"
 HOMEPAGE="https://www.worldforge.org/index.php/components/mercator/";
 SRC_URI="mirror://sourceforge/worldforge/${P}.tar.gz"
 
+SLOT="0"
 LICENSE="GPL-2"
 KEYWORDS="amd64 x86"
 IUSE="doc"
-SLOT="0"
 
 RDEPEND=">=dev-games/wfmath-1"
-DEPEND="${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
        doc? ( app-doc/doxygen )
-       virtual/pkgconfig"
+"
 
 src_compile() {
        default
@@ -25,6 +26,11 @@ src_compile() {
 
 src_install() {
        default
-       use doc && dohtml -r doc/html/*
-       prune_libtool_files
+
+       if use doc ; then
+               docinto html
+               dodoc -r doc/html/*
+       fi
+
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to